Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Stefan Monnier <[email-masked]>
Date: Sun, 14 Aug 2022 21:52:27 -0400

Ihor Radchenko [2022-08-15 09:23:21] wrote:
> Dmitry Gutov <[email-masked]> writes:
>> Do you have examples of such modes?
>> Calling 'widen' inside font-lock-keywords is a bug, and the bugs should 
>> be fixed at the source.
> widen inside save-restriction is likely used by Org mode (or will be).

Why?

> This is needed by Org parser to determine the syntax element at point.

But font-lock widens before using Org-mode's `font-lock-keywords`, so
there should be no need for Org-mode to widen in that case.

        Stefan

PS: Not sure if Org-mode qualifies as a mode that is likely to suffer
from the kinds of long-lines or large-file problems that Gregory has
tried to tackle, tho.  I've never seen an Org file with lines >10kB nor
an Org file larger than 10MB.